[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.DataSourceFixed

Can the datasource be changed

## Declaration

Source position: db.pas line 1725

`public property TDataLink.DataSourceFixed : Boolean read FDataSourceFixed write FDataSourceFixed;`

## Description

DatasourceFixed can be set to True to prevent changing of the DataSource property. When lengthy operations are in progress, this can be done to prevent user code (e.g. event handlers) from changing the datasource property which might interfere with the operation in progress.

## See also

TDataLink.DataSource |  | Datasource this datalink is connected to

Documentation generated on: Feb 26 2014